// clang-format off
const KnownTrampoline kKnownTrampolines[] = {
{"ACameraCaptureSession_abortCaptures", GetTrampolineFunc<auto(void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACameraCaptureSession_capture", GetTrampolineFunc<auto(void*, void*, int32_t, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(DoThunk_ACameraCaptureSession_capture)},
{"ACameraCaptureSession_captureV2", GetTrampolineFunc<auto(void*, void*, int32_t, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(DoThunk_ACameraCaptureSession_captureV2)},
{"ACameraCaptureSession_close", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ACameraCaptureSession_getDevice", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACameraCaptureSession_logicalCamera_capture", GetTrampolineFunc<auto(void*, void*, int32_t, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(DoThunk_ACameraCaptureSession_logicalCamera_capture)},
{"ACameraCaptureSession_logicalCamera_captureV2", GetTrampolineFunc<auto(void*, void*, int32_t, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(DoThunk_ACameraCaptureSession_logicalCamera_captureV2)},
{"ACameraCaptureSession_logicalCamera_setRepeatingRequest", GetTrampolineFunc<auto(void*, void*, int32_t, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(DoThunk_ACameraCaptureSession_logicalCamera_setRepeatingRequest)},
{"ACameraCaptureSession_logicalCamera_setRepeatingRequestV2", GetTrampolineFunc<auto(void*, void*, int32_t, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(DoThunk_ACameraCaptureSession_logicalCamera_setRepeatingRequestV2)},
{"ACameraCaptureSession_prepareWindow", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACameraCaptureSession_setRepeatingRequest", GetTrampolineFunc<auto(void*, void*, int32_t, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(DoThunk_ACameraCaptureSession_setRepeatingRequest)},
{"ACameraCaptureSession_setRepeatingRequestV2", GetTrampolineFunc<auto(void*, void*, int32_t, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(DoThunk_ACameraCaptureSession_setRepeatingRequestV2)},
{"ACameraCaptureSession_setWindowPreparedCallback", GetTrampolineFunc<auto(void*, void*, auto(*)(void*, void*, void*) -> void) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACameraCaptureSession_stopRepeating", GetTrampolineFunc<auto(void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACameraCaptureSession_updateSharedOutput", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACameraDevice_close", GetTrampolineFunc<auto(void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACameraDevice_createCaptureRequest", GetTrampolineFunc<auto(void*, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACameraDevice_createCaptureRequest_withPhysicalIds", GetTrampolineFunc<auto(void*, uint32_t, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACameraDevice_createCaptureSession", GetTrampolineFunc<auto(void*, void*, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(DoThunk_ACameraDevice_createCaptureSession)},
{"ACameraDevice_createCaptureSessionWithSessionParameters", GetTrampolineFunc<auto(void*, void*, void*, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(DoThunk_ACameraDevice_createCaptureSessionWithSessionParameters)},
{"ACameraDevice_getId", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ACameraDevice_isSessionConfigurationSupported", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACameraManager_create", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ACameraManager_delete", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ACameraManager_deleteCameraIdList", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ACameraManager_getCameraCharacteristics", GetTrampolineFunc<auto(void*, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACameraManager_getCameraIdList", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACameraManager_openCamera", GetTrampolineFunc<auto(void*, void*, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(DoThunk_ACameraManager_openCamera)},
{"ACameraManager_registerAvailabilityCallback", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(DoThunk_ACameraManager_registerAvailabilityCallback)},
{"ACameraManager_registerExtendedAvailabilityCallback", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(DoThunk_ACameraManager_registerExtendedAvailabilityCallback)},
{"ACameraManager_unregisterAvailabilityCallback", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(DoThunk_ACameraManager_unregisterAvailabilityCallback)},
{"ACameraManager_unregisterExtendedAvailabilityCallback", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(DoThunk_ACameraManager_unregisterExtendedAvailabilityCallback)},
{"ACameraMetadata_copy", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ACameraMetadata_free", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ACameraMetadata_fromCameraMetadata", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ACameraMetadata_getAllTags", GetTrampolineFunc<auto(void*, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACameraMetadata_getConstEntry", GetTrampolineFunc<auto(void*, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACameraMetadata_getTagFromName", GetTrampolineFunc<auto(void*, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACameraMetadata_isLogicalMultiCamera", GetTrampolineFunc<auto(void*, void*, void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"ACameraOutputTarget_create", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACameraOutputTarget_free", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_addTarget", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_copy", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_free", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_getAllTags", GetTrampolineFunc<auto(void*, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_getConstEntry", GetTrampolineFunc<auto(void*, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_getConstEntry_physicalCamera", GetTrampolineFunc<auto(void*, void*, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_getUserContext", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_removeTarget", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_setEntry_double", GetTrampolineFunc<auto(void*, uint32_t, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_setEntry_float", GetTrampolineFunc<auto(void*, uint32_t, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_setEntry_i32", GetTrampolineFunc<auto(void*, uint32_t, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_setEntry_i64", GetTrampolineFunc<auto(void*, uint32_t, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_setEntry_physicalCamera_double", GetTrampolineFunc<auto(void*, void*, uint32_t, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_setEntry_physicalCamera_float", GetTrampolineFunc<auto(void*, void*, uint32_t, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_setEntry_physicalCamera_i32", GetTrampolineFunc<auto(void*, void*, uint32_t, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_setEntry_physicalCamera_i64", GetTrampolineFunc<auto(void*, void*, uint32_t, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_setEntry_physicalCamera_rational", GetTrampolineFunc<auto(void*, void*, uint32_t, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_setEntry_physicalCamera_u8", GetTrampolineFunc<auto(void*, void*, uint32_t, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_setEntry_rational", GetTrampolineFunc<auto(void*, uint32_t, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_setEntry_u8", GetTrampolineFunc<auto(void*, uint32_t, uint32_t, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureRequest_setUserContext", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureSessionOutputContainer_add", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureSessionOutputContainer_create", GetTrampolineFunc<auto(void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureSessionOutputContainer_free", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ACaptureSessionOutputContainer_remove", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureSessionOutput_create", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureSessionOutput_free", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ACaptureSessionPhysicalOutput_create", GetTrampolineFunc<auto(void*, void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureSessionSharedOutput_add", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureSessionSharedOutput_create", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ACaptureSessionSharedOutput_remove", GetTrampolineFunc<auto(void*, void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
};  // kKnownTrampolines
const KnownVariable kKnownVariables[] = {
};  // kKnownVariables
// clang-format on
